Package: org.gradle.testkit.runner

## [Java] Class UnexpectedBuildFailure

- org.gradle.testkit.runner.UnexpectedBuildFailure

- Thrown when executing a build that was expected to succeed, but failed.

  See Also:
    GradleRunner.build
  Since:
    2.6

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UnexpectedBuildFailure (String message)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public UnexpectedBuildFailure(String message)